# Bash script for testing
#
# Generate .html file for each .cl file with
# the same prefix of filename
#
# Author: Lixing Dong


filename=$(basename test/test*.cl)

for input in ${filename}
do
    extension=${input##*.}
    name=${input%.*}
    output="${name}.html"
    echo "./compiler -c test/${input} test/${output}"
    ./compiler -a "test/${input}" > "test/${output}.tree"
    ./compiler -c "test/${input}" "test/${output}"
done


