


exception IllegalCharacterError of string * int * int 


let columnstart lexbuf = 
    let pos = lexbuf.Lexing.lex_curr_p in
    pos.Lexing.pos_cnum - pos.Lexing.pos_bol


let linecounter lexbuf = 
    let pos = lexbuf.Lexing.lex_curr_p in
    pos.Lexing.pos_lnum


let incr_linenum lexbuf =
    let pos = lexbuf.Lexing.lex_curr_p in
    lexbuf.Lexing.lex_curr_p <- { pos with
        Lexing.pos_lnum = pos.Lexing.pos_lnum + 1;
        Lexing.pos_bol = pos.Lexing.pos_cnum;
    }

